-- load libraries!
require "code/libraries/index"

-- setup settings
game.settings = require "code/settings_engine"

-- setup states
game.states = require "code/states/index"

-- setup updating as neccessary!
require "code/update_engine"

-- setup drawing as neccessary
require "code/draw_engine"

-- setup controls as neccessary!
require "code/control_engine"

-- load the first states
game.states:add("background","code/states/background.lua")
game.states:add("intro","code/states/intro.lua",1)
