-- simple clock function that draws a clock onscreen and sets itself up neatly
-- just add timegod.draw(posx,posy) to the draw area

local timegod = {}

local date = os.date("%d")
if date ~= 1 or date ~= 2 or date ~= 3 then
	timegod.dateabbreviation = "th"
elseif date == 1 then
	timegod.dateabbreviation = "st"
elseif date == 2 then
	timegod.dateabbreviation = "nd"
elseif date == 3 then
	timegod.dateabbreviation = "rd"
end
date = nil

function timegod.draw(x,y)
	love.graphics.print(os.date("The time is %I:%M %p."),x,y)
	love.graphics.print(os.date("Today is %A the %d"..timegod.dateabbreviation.." of %B %Y."),x,y+love.graphics.getFont():getHeight())
	love.graphics.print(os.date("%H:%M:%S, %d/%m/%Y."),x,y+(love.graphics.getFont():getHeight( )*2))
end

return timegod

