-- simple timer function call, use a return function

local timers = {}
timers.info = {}


function timers.update()
	if #timers.info > 0 then
		local currenttime = love.timer.getMicroTime()
		for i = 1,#timers.info do
			if timers.info[i][1] >= currenttime then
				_G[timers.info[1][2]]()
				table.remove(timers.info,i)
			end
		end
	end
end

function timers.timedFunc(t,func) -- t = time in microseconds and func is the function to call
	timers.info[#timers.info+1] = {love.timer.getMicroTime()+t,func}
end

return timers
